using System;
using System.Windows.Forms;
using System.Text.RegularExpressions;

namespace _ex_15_5
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string re = @"^[a-zA-Z]+[0-9a-zA-Z_\.]*[0-9a-zA-Z]+@[0-9a-zA-Z]+(\-)*[0-9a-zA-Z]+(\.)[a-zA-Z]{2,3}$"; // عبارت منظم

            if (Regex.IsMatch(textBox1.Text, re) == true)
                MessageBox.Show("ایمیل وارد شده معتبر است");
            else
                MessageBox.Show("ایمیل وارد شده نامعتبر است");
        }
    }
}